<!--POKEMON GRID-->

<!--Putting all pokemon boxes inside of a bigger
grid container for spacing and structure-->
<div class="pokemon-grid">
  <!--Looping through array of pokemons to 
    display content in grid-->
  <!--Dynamically changing the background color
    to green if the user chooses to collect the pokemon-->
  <div
    *ngFor="let pokemon of pokemons"
    class="box"
    (click)="addToCollection(pokemon.name)"
    [ngStyle]="{
        backgroundColor: collection.includes(pokemon.name)
          ? 'rgb(122, 245, 122)'
          : 'none'
      }"
  >
    <!--Displaying pokemon sprite-->
    <img [src]="pokemon.sprites.front_default" [alt]="pokemon.name" />
    <!--Display message if collected underneath sprite-->
    <div *ngIf="collection.includes(pokemon.name)" class="collected-message">
      COLLECTED!
    </div>
    <!--Display of pokemon features-->
    <h3 class="pokemon-name">{{ pokemon.name }}</h3>
    <p><b>Weight: </b>{{ pokemon.weight }}</p>
    <p><b>Height: </b>{{ pokemon.height }}</p>
    <p><b>Ability: </b>{{ pokemon.abilities[0].ability.name }}</p>
    <p><b>Attack Power: </b>{{ pokemon.stats[1].base_stat }}</p>
  </div>
</div>

<!--END OF POKEMON GRID-->
